### GET /signing/{connection_id}/template Source: https://api.unified.to/openapi.json API endpoint for GET /signing/{connection_id}/template ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **fields** (array (string (id|created_at|updated_at|name|description|is_active|creator_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **SigningTemplates** - Array of SigningTemplate ### Example Usage ```bash curl -X GET "https://api.unified.to/signing/{connection_id}/template?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /repo/{connection_id}/repository Source: https://api.unified.to/openapi.json API endpoint for GET /repo/{connection_id}/repository ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **org_id** (string, query, optional): The org ID to filter by (reference to RepoOrganization) - **fields** (array (string (id|created_at|updated_at|name|description|owner|is_private|web_url|org_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **RepoRepositories** - Array of RepoRepository ### Example Usage ```bash curl -X GET "https://api.unified.to/repo/{connection_id}/repository?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&org_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /signing/{connection_id}/document Source: https://api.unified.to/openapi.json API endpoint for GET /signing/{connection_id}/document ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **status** (string, query, optional): The status to filter by - **template_id** (string, query, optional): The signing template ID to filter by - **fields** (array (string (id|created_at|updated_at|name|description|status|sent_at|completed_at|expires_at|template_id|download_url|creator_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **SigningDocuments** - Array of SigningDocument ### Example Usage ```bash curl -X GET "https://api.unified.to/signing/{connection_id}/document?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&status=string&template_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /repo/{connection_id}/branch Source: https://api.unified.to/openapi.json API endpoint for GET /repo/{connection_id}/branch ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **repo_id** (string, query, optional): The repo ID to filter by (reference to RepoRepository) - **fields** (array (string (id|created_at|updated_at|name|repo_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **RepoBranches** - Array of RepoBranch ### Example Usage ```bash curl -X GET "https://api.unified.to/repo/{connection_id}/branch?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&repo_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /repo/{connection_id}/organization Source: https://api.unified.to/openapi.json API endpoint for GET /repo/{connection_id}/organization ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **fields** (array (string (id|created_at|updated_at|name|description|avatar_url|web_url|user_ids|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **RepoOrganizations** - Array of RepoOrganization ### Example Usage ```bash curl -X GET "https://api.unified.to/repo/{connection_id}/organization?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /signing/{connection_id}/template/{id} Source: https://api.unified.to/openapi.json API endpoint for GET /signing/{connection_id}/template/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|description|is_active|creator_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Template ### Responses #### 200 - Successful **SigningTemplate** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **description** (string) - **is_active** (boolean) - **creator_id** (string) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/signing/{connection_id}/template/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /unified/environment Source: https://api.unified.to/openapi.json API endpoint for GET /unified/environment ```markdown ### Responses #### 200 - Successful **Environments** - Array of string ### Example Usage ```bash curl -X GET "https://api.unified.to/unified/environment" ``` ``` -------------------------------- ### GET /unified/apicall Source: https://api.unified.to/openapi.json API endpoint for GET /unified/apicall ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **external_xref** (string, query, optional): Filter the results to only those integrations for your user referenced by this value - **integration_type** (string, query, optional): Filter the results to just this integration - **error** (boolean, query, optional): Filter the results for API Calls with errors - **connection_id** (string, query, optional): Filter the results to just this integration - **env** (string, query, optional) - **webhook_id** (string, query, optional): Filter the results to just this webhook - **type** (string, query, optional): Filter the results to just this type - **is_billable** (boolean, query, optional): Filter the results for only billable API Calls ### Responses #### 200 - Successful **ApiCalls** - Array of ApiCall ### Example Usage ```bash curl -X GET "https://api.unified.to/unified/apicall?limit=0&offset=0&updated_gte=string&sort=string&order=string&external_xref=string&integration_type=string&error=true&connection_id=string&env=string&webhook_id=string&type=string&is_billable=true" ``` ``` -------------------------------- ### POST /lms/{connection_id}/instructor Source: https://api.unified.to/openapi.json API endpoint for POST /lms/{connection_id}/instructor ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|first_name|last_name|emails|title|telephones|image_url|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **first_name** (string) - **last_name** (string) - **emails** (array (LmsEmail)) Array items: - **title** (string) - **telephones** (array (LmsTelephone)) Array items: - **telephone** (string) (required) - **type** (string (WORK|HOME|OTHER|FAX|MOBILE)) ("WORK"|"HOME"|"OTHER"|"FAX"|"MOBILE") - **image_url** (string) - **raw** (object) ### Responses #### 200 - Successful **LmsInstructor** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **first_name** (string) - **last_name** (string) - **emails** (array (LmsEmail)) Array items: - **title** (string) - **telephones** (array (LmsTelephone)) Array items: - **telephone** (string) (required) - **type** (string (WORK|HOME|OTHER|FAX|MOBILE)) ("WORK"|"HOME"|"OTHER"|"FAX"|"MOBILE") - **image_url** (string) - **raw** (object) ### Example Usage ```bash curl -X POST "https://api.unified.to/lms/{connection_id}/instructor?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "name": "string", "first_name": "string", "last_name": "string", "emails": "value", "title": "string", "telephones": "value", "image_url": "string", "raw": "value" }' ``` ``` -------------------------------- ### GET /unified/webhook Source: https://api.unified.to/openapi.json API endpoint for GET /unified/webhook ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **object** (string, query, optional): Filter the results for webhooks for only this object - **integration_type** (string, query, optional): Filter the results to just this integration - **connection_id** (string, query, optional): Filter the results to just this integration - **created_lte** (string, query, optional): Return only results whose created date is equal or less to this value - **env** (string, query, optional) ### Responses #### 200 - Successful **Webhooks** - Array of Webhook ### Example Usage ```bash curl -X GET "https://api.unified.to/unified/webhook?limit=0&offset=0&updated_gte=string&sort=string&order=string&object=string&integration_type=string&connection_id=string&created_lte=string&env=string" ``` ``` -------------------------------- ### GET /verification/{connection_id}/package/{id} Source: https://api.unified.to/openapi.json API endpoint for GET /verification/{connection_id}/package/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|type|aliases|tags|description|parameters|average_processing_times|has_redirect_url|has_target_url|needs_ip_address|cost_amount|currency|max_score|info_url|valid_regions|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Package ### Responses #### 200 - Successful **VerificationPackage** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) (required) - **type** (string (IDENTITY_VERIFICATION|SCREENING|BACKGROUND_CHECK|EMPLOYMENT_VERIFICATION|EDUCATION_VERIFICATION|CREDIT_CHECK|FRAUD_PREVENTION|OTHER)) (required) ("IDENTITY_VERIFICATION"|"SCREENING"|"BACKGROUND_CHECK"|"EMPLOYMENT_VERIFICATION"|"EDUCATION_VERIFICATION"|"CREDIT_CHECK"|"FRAUD_PREVENTION"|"OTHER") - **aliases** (array (string)) - **tags** (array (string)): Category (Verification, Validation, Background Check) - **description** (string) - **parameters** (array (VerificationParameter)): Questions that need to be answered for this verification Array items: - **id** (string) - **name** (string) (required) - **public_question** (string) - **type** (string (TEXT|NUMBER|MULTIPLE_CHOICE|MULTIPLE_SELECT|DATE|FILE)) ("TEXT"|"NUMBER"|"MULTIPLE_CHOICE"|"MULTIPLE_SELECT"|"DATE"|"FILE") - **options** (array (string)): options for MULTIPLE_CHOICE and MULTIPLE_SELECT - **file_types** (array (string)): valid file mime types - **valid_regions** (array (string)): {country}-{stateprovince/territory} or just {country} 2-digit ISO codes - **is_required** (boolean) - **average_processing_times** (array (VerificationTime)): average processing time in minutes Array items: - **milliseconds** (number) - **valid_regions** (array (string)): {country}-{stateprovince/territory} or just {country} 2-digit ISO codes - **has_redirect_url** (boolean) - **has_target_url** (boolean) - **needs_ip_address** (boolean) - **cost_amount** (number) - **currency** (string) - **max_score** (number) - **info_url** (string) - **valid_regions** (array (string)): {country}-{state/province/territory} or just {country} 2-digit ISO codes - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/verification/{connection_id}/package/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /unified/integration Source: https://api.unified.to/openapi.json API endpoint for GET /unified/integration ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional) - **categories** (array (string (passthrough|hris|ats|auth|crm|enrich|martech|ticketing|uc|accounting|storage|commerce|payment|genai|messaging|kms|task|scim|lms|repo|metadata|calendar|verification|ads|forms|shipping|assessment|signing|clubs|datastore)), query, optional): Filter the results on these categories - **summary** (boolean, query, optional) - **active** (boolean, query, optional): Filter the results for only the workspace's active integrations - **env** (string, query, optional) - **type** (string, query, optional): Filter the results for only this integration type ### Responses #### 200 - Successful **Integrations** - Array of Integration ### Example Usage ```bash curl -X GET "https://api.unified.to/unified/integration?limit=0&offset=0&updated_gte=string&categories=item1,item2&summary=true&active=true&env=string&type=string" ``` ``` -------------------------------- ### GET /unified/issue Source: https://api.unified.to/openapi.json API endpoint for GET /unified/issue ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) ### Responses #### 200 - Successful **Issues** - Array of Issue ### Example Usage ```bash curl -X GET "https://api.unified.to/unified/issue?limit=0&offset=0&updated_gte=string&sort=string&order=string" ``` ``` -------------------------------- ### GET /repo/{connection_id}/repository/{id} Source: https://api.unified.to/openapi.json API endpoint for GET /repo/{connection_id}/repository/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|description|owner|is_private|web_url|org_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Repository ### Responses #### 200 - Successful **RepoRepository** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) (required) - **description** (string) - **owner** (string) - **is_private** (boolean) - **web_url** (string) - **org_id** (string) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/repo/{connection_id}/repository/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /unified/connection Source: https://api.unified.to/openapi.json API endpoint for GET /unified/connection ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **external_xref** (string, query, optional): Filter the results to only those integrations for your user referenced by this value - **categories** (array (string (passthrough|hris|ats|auth|crm|enrich|martech|ticketing|uc|accounting|storage|commerce|payment|genai|messaging|kms|task|scim|lms|repo|metadata|calendar|verification|ads|forms|shipping|assessment|signing|clubs|datastore)), query, optional): Filter the results on these categories - **env** (string, query, optional) ### Responses #### 200 - Successful **Connections** - Array of Connection ### Example Usage ```bash curl -X GET "https://api.unified.to/unified/connection?limit=0&offset=0&updated_gte=string&sort=string&order=string&external_xref=string&categories=item1,item2&env=string" ``` ``` -------------------------------- ### GET /unified/apicall/{id} Source: https://api.unified.to/openapi.json API endpoint for GET /unified/apicall/{id} ```markdown ### Parameters - **id** (string, path, required): ID of the Apicall ### Responses #### 200 - Successful **ApiCall** - **id** (string) - **created_at** (string (date-time)) - **connection_id** (string) - **workspace_id** (string) - **integration_type** (string) (required) - **external_xref** (string) - **name** (string) (required) - **path** (string) (required) - **size** (number) - **status** (string) (required) - **error** (string) - **ip_address** (string) - **type** (string (login|webhook|inbound|mcp)) (required) ("login"|"webhook"|"inbound"|"mcp") - **method** (string) (required) - **environment** (string) - **webhook_id** (string) - **is_billable** (boolean) - **user_agent** (string) - **unified_response_time** (number) - **endapi_response_time** (number) ### Example Usage ```bash curl -X GET "https://api.unified.to/unified/apicall/{id}" ``` ``` -------------------------------- ### GET /verification/{connection_id}/package Source: https://api.unified.to/openapi.json API endpoint for GET /verification/{connection_id}/package ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **fields** (array (string (id|created_at|updated_at|name|type|aliases|tags|description|parameters|average_processing_times|has_redirect_url|has_target_url|needs_ip_address|cost_amount|currency|max_score|info_url|valid_regions|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **VerificationPackages** - Array of VerificationPackage ### Example Usage ```bash curl -X GET "https://api.unified.to/verification/{connection_id}/package?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### POST /lms/{connection_id}/course Source: https://api.unified.to/openapi.json API endpoint for POST /lms/{connection_id}/course ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|description|is_private|is_active|price_amount|languages|categories|currency|media|instructor_ids|instructors|student_ids|students|content_ids|skills|duration_minutes|provider_name|raw|published_at|time_estimate_minutes)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **description** (string) - **is_private** (boolean) - **is_active** (boolean) - **price_amount** (number) - **languages** (array (string)) - **categories** (array (string)) - **currency** (string) - **media** (array (LmsMedia)) Array items: - **url** (string) - **name** (string) - **description** (string) - **type** (string (IMAGE|HEADSHOT|VIDEO|WEB|DOCUMENT|TEXT|HTML|OTHER)) ("IMAGE"|"HEADSHOT"|"VIDEO"|"WEB"|"DOCUMENT"|"TEXT"|"HTML"|"OTHER") - **thumbnail_url** (string) - **content** (string) - **languages** (array (string)): ISO 2-digit language codes - **instructor_ids** (array (string)): @deprecated; use instructors - **instructors** (array (LmsInstructor)) Array items: - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **first_name** (string) - **last_name** (string) - **emails** (array (LmsEmail)) Array items: - **title** (string) - **telephones** (array (LmsTelephone)) Array items: - **telephone** (string) (required) - **type** (string (WORK|HOME|OTHER|FAX|MOBILE)) ("WORK"|"HOME"|"OTHER"|"FAX"|"MOBILE") - **image_url** (string) - **raw** (object) - **student_ids** (array (string)): @deprecated; use students - **students** (array (LmsStudent)) Array items: - **content_ids** (array (string)) - **skills** (array (string)) - **duration_minutes** (number) - **provider_name** (string) - **raw** (object) - **published_at** (string (date-time)) - **time_estimate_minutes** (number) ### Responses #### 200 - Successful **LmsCourse** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **description** (string) - **is_private** (boolean) - **is_active** (boolean) - **price_amount** (number) - **languages** (array (string)) - **categories** (array (string)) - **currency** (string) - **media** (array (LmsMedia)) Array items: - **url** (string) - **name** (string) - **description** (string) - **type** (string (IMAGE|HEADSHOT|VIDEO|WEB|DOCUMENT|TEXT|HTML|OTHER)) ("IMAGE"|"HEADSHOT"|"VIDEO"|"WEB"|"DOCUMENT"|"TEXT"|"HTML"|"OTHER") - **thumbnail_url** (string) - **content** (string) - **languages** (array (string)): ISO 2-digit language codes - **instructor_ids** (array (string)): @deprecated; use instructors - **instructors** (array (LmsInstructor)) Array items: - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **first_name** (string) - **last_name** (string) - **emails** (array (LmsEmail)) Array items: - **title** (string) - **telephones** (array (LmsTelephone)) Array items: - **telephone** (string) (required) - **type** (string (WORK|HOME|OTHER|FAX|MOBILE)) ("WORK"|"HOME"|"OTHER"|"FAX"|"MOBILE") - **image_url** (string) - **raw** (object) - **student_ids** (array (string)): @deprecated; use students - **students** (array (LmsStudent)) Array items: - **content_ids** (array (string)) - **skills** (array (string)) - **duration_minutes** (number) - **provider_name** (string) - **raw** (object) - **published_at** (string (date-time)) - **time_estimate_minutes** (number) ### Example Usage ```bash curl -X POST "https://api.unified.to/lms/{connection_id}/course?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "name": "string", "description": "string", "is_private": "true", "is_active": "true", "price_amount": "0", "languages": "value", "categories": "value", "currency": "string", "media": "value", "instructor_ids": "value", "instructors": "value", "student_ids": "value", "students": "value", "content_ids": "value", "skills": "value", "duration_minutes": "0", "provider_name": "string", "raw": "value", "published_at": "2023-01-01T00:00:00Z", "time_estimate_minutes": "0" }' ``` ``` -------------------------------- ### GET /unified/webhook/{id} Source: https://api.unified.to/openapi.json API endpoint for GET /unified/webhook/{id} ```markdown ### Parameters - **id** (string, path, required): ID of the Webhook ### Responses #### 200 - Successful **Webhook** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **workspace_id** (string) - **connection_id** (string) (required) - **hook_url** (string) - **object_type** (string (accounting_account|accounting_transaction|accounting_journal|accounting_contact|accounting_invoice|accounting_bill|accounting_creditmemo|accounting_taxrate|accounting_organization|accounting_order|accounting_salesorder|accounting_purchaseorder|accounting_report|accounting_balancesheet|accounting_profitloss|accounting_trialbalance|accounting_category|accounting_expense|accounting_cashflow|payment_payment|payment_link|payment_payout|payment_refund|payment_subscription|commerce_item|commerce_collection|commerce_inventory|commerce_location|commerce_review|commerce_saleschannel|commerce_itemvariant|commerce_reservation|commerce_availability|verification_package|verification_request|assessment_package|assessment_order|ats_activity|ats_application|ats_applicationstatus|ats_candidate|ats_document|ats_interview|ats_job|ats_scorecard|ats_company|crm_company|crm_contact|crm_deal|crm_event|crm_lead|crm_pipeline|hris_employee|hris_group|hris_payslip|hris_timeoff|hris_company|hris_location|hris_device|hris_timeshift|hris_deduction|hris_benefit|hris_bankaccount|martech_list|martech_member|martech_campaign|martech_report|passthrough|ticketing_note|ticketing_ticket|ticketing_customer|ticketing_category|uc_contact|uc_call|uc_comment|uc_recording|enrich_person|enrich_company|storage_file|genai_model|genai_prompt|genai_embedding|messaging_message|messaging_channel|messaging_event|kms_space|kms_page|kms_comment|task_project|task_task|task_comment|task_change|scim_users|scim_groups|lms_course|lms_class|lms_student|lms_instructor|lms_content|lms_collection|lms_activity|repo_organization|repo_repository|repo_branch|repo_commit|repo_pullrequest|metadata_metadata|calendar_calendar|calendar_event|calendar_busy|calendar_link|calendar_recording|calendar_webinar|ads_organization|ads_ad|ads_campaign|ads_report|ads_group|ads_creative|ads_insertionorder|ads_target|ads_promoted|forms_form|forms_submission|shipping_carrier|shipping_rate|shipping_shipment|shipping_label|shipping_tracking|signing_document|signing_signatory|signing_template|clubs_group|clubs_member|clubs_activity|clubs_location|clubs_event|datastore_database|datastore_table|datastore_record|datastore_query)) (required) ("accounting_account"|"accounting_transaction"|"accounting_journal"|"accounting_contact"|"accounting_invoice"|"accounting_bill"|"accounting_creditmemo"|"accounting_taxrate"|"accounting_organization"|"accounting_order"|"accounting_salesorder"|"accounting_purchaseorder"|"accounting_report"|"accounting_balancesheet"|"accounting_profitloss"|"accounting_trialbalance"|"accounting_category"|"accounting_expense"|"accounting_cashflow"|"payment_payment"|"payment_link"|"payment_payout"|"payment_refund"|"payment_subscription"|"commerce_item"|"commerce_collection"|"commerce_inventory"|"commerce_location"|"commerce_review"|"commerce_saleschannel"|"commerce_itemvariant"|"commerce_reservation"|"commerce_availability"|"verification_package"|"verification_request"|"assessment_package"|"assessment_order"|"ats_activity"|"ats_application"|"ats_applicationstatus"|"ats_candidate"|"ats_document"|"ats_interview"|"ats_job"|"ats_scorecard"|"ats_company"|"crm_company"|"crm_contact"|"crm_deal"|"crm_event"|"crm_lead"|"crm_pipeline"|"hris_employee"|"hris_group"|"hris_payslip"|"hris_timeoff"|"hris_company"|"hris_location"|"hris_device"|"hris_timeshift"|"hris_deduction"|"hris_benefit"|"hris_bankaccount"|"martech_list"|"martech_member"|"martech_campaign"|"martech_report"|"passthrough"|"ticketing_note"|"ticketing_ticket"|"ticketing_customer"|"ticketing_category"|"uc_contact"|"uc_call"|"uc_comment"|"uc_recording"|"enrich_person"|"enrich_company"|"storage_file"|"genai_model"|"genai_prompt"|"genai_embedding"|"messaging_message"|"messaging_channel"|"messaging_event"|"kms_space"|"kms_page"|"kms_comment"|"task_project"|"task_task"|"task_comment"|"task_change"|"scim_users"|"scim_groups"|"lms_course"|"lms_class"|"lms_student"|"lms_instructor"|"lms_content"|"lms_collection"|"lms_activity"|"repo_organization"|"repo_repository"|"repo_branch"|"repo_commit"|"repo_pullrequest"|"metadata_metadata"|"calendar_calendar"|"calendar_event"|"calendar_busy"|"calendar_link"|"calendar_recording"|"calendar_webinar"|"ads_organization"|"ads_ad"|"ads_campaign"|"ads_report"|"ads_group"|"ads_creative"|"ads_insertionorder"|"ads_target"|"ads_promoted"|"forms_form"|"forms_submission"|"shipping_carrier"|"shipping_rate"|"shipping_shipment"|"shipping_label"|"shipping_tracking"|"signing_document"|"signing_signatory"|"signing_template"|"clubs_group"|"clubs_member"|"clubs_activity"|"clubs_location"|"clubs_event"|"datastore_database"|"datastore_table"|"datastore_record"|"datastore_query") - **interval** (number) - **checked_at** (string (date-time)) - **integration_type** (string) - **environment** (string) - **event** (string (updated|created|deleted)) (required) ("updated"|"created"|"deleted") - **runs** (array (string)): An array of the most revent virtual webhook runs - **fields** (string) - **webhook_type** (string (virtual|native)) ("virtual"|"native") - **is_healthy** (boolean) - **page_max_limit** (number) - **filters** (object) - **db_type** (string (mongodb|mysql|postgres|mssql|mariadb|supabase|snowflake)) ("mongodb"|"mysql"|"postgres"|"mssql"|"mariadb"|"supabase"|"snowflake") - **db_url** (string) - **db_schema** (string) - **db_name_prefix** (string) - **is_paused** (boolean) - **is_beta** (boolean) ### Example Usage ```bash curl -X GET "https://api.unified.to/unified/webhook/{id}" ``` ``` -------------------------------- ### POST /repo/{connection_id}/repository Source: https://api.unified.to/openapi.json API endpoint for POST /repo/{connection_id}/repository ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|description|owner|is_private|web_url|org_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) (required) - **description** (string) - **owner** (string) - **is_private** (boolean) - **web_url** (string) - **org_id** (string) - **raw** (object) ### Responses #### 200 - Successful **RepoRepository** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) (required) - **description** (string) - **owner** (string) - **is_private** (boolean) - **web_url** (string) - **org_id** (string) - **raw** (object) ### Example Usage ```bash curl -X POST "https://api.unified.to/repo/{connection_id}/repository?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "name": "string", "description": "string", "owner": "string", "is_private": "true", "web_url": "string", "org_id": "string", "raw": "value" }' ``` ``` -------------------------------- ### GET /unified/issue/{id} Source: https://api.unified.to/openapi.json API endpoint for GET /unified/issue/{id} ```markdown ### Parameters - **id** (string, path, required): ID of the Issue ### Responses #### 200 - Successful **Issue** - **id** (string) - **created_at** (string) - **updated_at** (string) - **title** (string) (required) - **status** (string (COMPLETED|NEW|ROADMAP|IN_PROGRESS|ON_HOLD|VALIDATING|REJECTED)) (required) ("COMPLETED"|"NEW"|"ROADMAP"|"IN_PROGRESS"|"ON_HOLD"|"VALIDATING"|"REJECTED") - **url** (string) - **workspace_id** (string) (required) - **type** (array (string)) - **resolution_time** (number) - **ticket_ref** (string) (required) - **size** (number) - **importance** (number) ### Example Usage ```bash curl -X GET "https://api.unified.to/unified/issue/{id}" ``` ```